<?php
class getRussianNames {
 private $n, $ready, $fmale, $ffemale, $flast;
 public function __construct ($n=1) {
  $this->n = $n;
  $this->fmale=dirname(__FILE__).'/'.'male.txt'; 
  $this->ffemale=dirname(__FILE__).'/'.'female.txt'; 
  $this->flast=dirname(__FILE__).'/'.'last.txt';
  $this->ready = 
   (file_exists($this->fmale) and filesize($this->fmale)>1 and
    file_exists($this->ffemale) and filesize($this->ffemale)>1 and
    file_exists($this->flast) and filesize($this->flast)>1);
 }

 private function getWomanForm ($last) {
  $last = preg_replace ("/^(.+)(||||)$/","$1$2",$last);
  $last = preg_replace ("/^(.+)(|)$/","$1",$last);
  return $last;
 }

 public function get ($gender=true,$div="<br />\n") {
  $str = '';
  if (!$this->ready) return ' ';
  $male = file($this->fmale,FILE_IGNORE_NEW_LINES);
  $female = file($this->ffemale,FILE_IGNORE_NEW_LINES);
  $last = file($this->flast,FILE_IGNORE_NEW_LINES);
  shuffle($male);
  shuffle($female);
  shuffle($last);
  for ($i=0; $i<$this->n; $i++) {
   $str .= ($gender ? $male[$i] . ' ' . $last[$i] :
                      $female[$i] . ' ' . $this->getWomanForm($last[$i]));
   if ($i<$this->n-1) $str .= $div;
  }
  return $str;
 }
} //class getRussianNames end
?>